org.h2.util.json

## Class JSONValidationTarget

- java.lang.Object
- - org.h2.util.json.JSONTarget<JSONItemType>
  - - org.h2.util.json.JSONValidationTarget

Direct Known Subclasses:
  JSONValidationTargetWithoutUniqueKeys, JSONValidationTargetWithUniqueKeys

    public abstract class JSONValidationTarget
    extends JSONTarget<JSONItemType>

JSON validation target.

### Constructor Summary

Constructors
Constructor and Description
`JSONValidationTarget()`

### Method Summary

Methods
`abstract JSONItemType` `getResult()` Returns the result.

### Methods inherited from class org.h2.util.json.JSONTarget

`endArray, endObject, isPropertyExpected, isValueSeparatorExpected, member, startArray, startObject, valueFalse, valueNull, valueNumber, valueString, valueTrue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONValidationTarget

    public JSONValidationTarget()

### Method Detail

#### getResult

    public abstract JSONItemType getResult()

Description copied from class: `JSONTarget`
Returns the result.

Specified by:
  `getResult` in class `JSONTarget<JSONItemType>`
Returns:
  JSON item type of the top-level item, may not return `JSONItemType.VALUE`